package mactrans.system2;

/**
 * The TestProcessor class exists temporarily, it is for making sure that
 * the environment and the GUI work together as expected.
 * 
 * @author Jan Kienecker (3kieneck@informatik.uni-hamburg.de)
 * @version $Revision: 1.1 $
 * 
 * <pre>
 * $Log: TestProcessor.java,v $
 * Revision 1.1  2005/05/30 11:44:14  jkieneck
 * + temporarily added
 *
 * </pre>
 */

public class TestProcessor extends MachineTranslationProcessor {
    public void initialize() {
        debug( "initialize() called" );
    }
    
    public Object proceed() {
        debug( "proceed() called. Gathering some environmental information: " );
        debug( "  Source language: " + input().getLanguage() );
        debug( "  Target language: " + output().getLanguage() );
        debug( "  Input sentence : " + input().getSentence() );
        debug( "Quitting proceed()." );

        return null;
    }
}
