#!/usr/bin/perl

use mbase_cz;

sub check_tags
{
  my $mbase = czech_morpho_base_get;
  my %tags;
  foreach my $lemma ( @$mbase )
    {
      foreach my $form (@{$lemma->{forms}})
	{
	  foreach my $tag ( @{$form->{tags}} )
	    {
#print '--->', $tag, "\n";
	      $tags{$tag} = 1;
	    }
	}
    }
  foreach my $tag (sort keys %tags)
    {
      my $pos = substr($tag, 0,1);
#print "-$pos-->", $tag, "\n";
      if ($pos eq 'N') { if ($tag !~ /^N[SPDX*][1-7X*][MINFXHYZ*]$/) { print $tag, "\n" } next }
      if ($pos eq 'A') { if ($tag !~ /^A[SPDX*][1-7X*][MINFX*][PCSX*]$/) { print $tag, "\n" } next }
      if ($pos eq 'V') { if ($tag !~ /^V[SPXW*][1-3X*][MINFXQTYH*][FZPTX*][AICNXBe*][-+X@*]$/) { print $tag, "\n" } next }
      if ($pos eq 'B') { if ($tag !~ /^B[PCSX*]$/) { print $tag, "\n" } next }
      if ($pos eq 'P') { if ($tag !~ /^P[1-7X*]$/) { print $tag, "\n" } next }
      if ($pos eq 'C') { if ($tag !~ /^C$/) { print $tag, "\n" } next }
      if ($pos eq 'X') { if ($tag !~ /^X$/) { print $tag, "\n" } next }
    }
}

check_tags;
