package mactrans.system2;

/**
 * The bootstrap class
 * 
 * @author Jan Kienecker (3kieneck@informatik.uni-hamburg.de)
 * @version $Revision: 1.1 $
 * 
 * <pre>
 * $Log: MachineTranslation.java,v $
 * Revision 1.1  2005/05/25 12:54:41  jkieneck
 * + added to repository
 *
 * </pre>
 */
public class MachineTranslation {
	/**
	 * the main method
	 * 
	 * @param args
	 */
	public static void main( String[] args ) {
		MachineTranslationSystemInterface mti = new MTSystemLayout1();
		MachineTranslationGUInterface ui = new MachineTranslationGUI( mti );
		mti.construct( ui );
	}
}