package mactrans.system2;

import java.io.*;

/**
 * @author Mirek Tynovsky
 * @version $Revision: 1.2 $
 * 
 * <pre>
 * $Log: Matching.java,v $
 * Revision 1.2  2005/05/30 09:52:56  mirek
 * *** keyword substitution change ***
 *
 * </pre>
 */
 
public class Matching extends MachineTranslationProcessor 
{
	public void initialize() {
		debug( "initialize() called" );
	}
	
	public Object proceed() {
		debug( "proceed() called. Gathering some environmental information: " );
		debug( "  Source language: " + input().getLanguage() );
		debug( "  Target language: " + output().getLanguage() );
		debug( "  Input sentence : " + input().getSentence() );


//	if ( input().getLanguage() == output().getLanguage() ){
//		output().setSentence(input().getSentence());
//	}
	debug( "  Output sentence: " + output().getSentence() );

/** FILE WRITE **/
	String radek; 
	radek = input().getSentence();

	File in = new File("in");

	FileOutputStream fos = null;
	try { fos = new FileOutputStream(in); } catch (FileNotFoundException e) {}

	OutputStreamWriter osw = null;
	try {osw = new OutputStreamWriter(fos, "UTF-8"); } catch (UnsupportedEncodingException e) {}

	PrintWriter pw = new PrintWriter(osw);

	pw.println(radek);
	pw.flush();
//	pw.close();
/****************/

	debug ("  Input written to file `in'");

/** FILE READ **/	

	File out = new File("out");
	
	while(out.length() == 1 ) try { Thread.sleep( 20 ); } catch (InterruptedException e) {}

	FileInputStream fis = null;
	try {fis = new FileInputStream(out); } catch (FileNotFoundException e) {}
	InputStreamReader isr = null;
	try {isr = new InputStreamReader(fis, "UTF-8"); } catch (UnsupportedEncodingException e) {}

	BufferedReader br;
	br = new BufferedReader(isr);
				 
	try { radek = br.readLine(); } catch (IOException e){}
	output().setSentence(radek);
/**************/

	debug( "  Output read from file `out'" );

	writeOutput(output().getSentence());
	debug( "Quitting proceed()." );
	return in;

	}
}
