sub sentence_create_structure
{
  my ($plain_sentence, $morphology) = @_;
 
  my @sequence = map { { token => $_ } } split(/ /, $plain_sentence);
  my %types;
  my $word_index = 0;

  foreach my $form (@sequence)
    {
      foreach my $lemma (@{ morpho_analyse_get_lemmas($morphology, $form->{token}) })
      {
	push @{ $types{$lemma} }, $word_index
      }
      $word_index++
    }  
  { sequence => \@sequence, types => \%types }
}

1
